Name:           yandex-browser-release
Version:        1.0
Release:        1%{dist}
Summary:        Yandex browser package repository
License:        GPLv2

# This is a MSVSphere maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://repo.yandex.ru/yandex-browser
Source0:        https://repo.yandex.ru/yandex-browser/YANDEX-BROWSER-KEY.GPG
Source1:        GPL
Source2:        yandex-browser.repo

BuildArch:      noarch
Requires:       sphere-release >=  %{msvsphere}


%description
Yandex browser package repository files for yum and dnf along with gpg public keys.


%prep
%setup -q -c -T
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .


%install
# GPG Key
install -Dpm 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/YANDEX-BROWSER-KEY.GPG
# yum repo configs
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d

%post


%files
%license GPL
%config(noreplace) %{_sysconfdir}/yum.repos.d/yandex-browser.repo
%{_sysconfdir}/pki/rpm-gpg/*


%changelog
* Tue Jul 25 2023 Alexey Lyubimov <a.lyubimov@msvsphere.ru> - 1.0-1
- Initial MSVSphere 9.2 build.

